Subject: Re: [PATCH V8 03/10] USB/ppc4xx: Add Synopsys DWC OTG Core InterfaceLayer

From: Alexander Gordeev <[email-masked]>
Date: Mon, 14 Feb 2011 14:34:19 +0300

В Mon, 14 Feb 2011 08:53:21 -0000
"David Laight" <[email-masked]> пишет:

>  
> > > Sorry, I don't understand that. I think u32 is always 32bit 
> > > 4byte on all archs. Right?
> > 
> > Yes.
> > 
> > Use an unsigned long if you want to hold a pointer correctly on all
> > arches.
> 
> Although that is true for many systems (and probably all ppc Linux)
> it isn't necessarily true (eg 64 bit Microsoft Windows).
> C99 inttypes.h should define uintptr_t as an unsigned integer
> type that is large enough to hold a (data) pointer.
> I'm not sure if this is defined for the Linux kernel.

I think, the most reasonable option is to use a pointer type to hold
pointer. :)

-- 
  Alexander